Bug 1149704 - [glibc2.30] lttng-ust fails to build
[glibc2.30] lttng-ust fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Martin Liška
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-06 07:42 UTC by Dominique Leuenberger
Modified: 2020-11-10 15:55 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-09-06 07:42:47 UTC
glibc 2.30 has been submitted for inclusion into Factory - and Staged in :A

lttng-ust is one of the few packages failing to build in this setup

https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:A/lttng-ust/standard/x86_64

[   54s] ../include/lttng/ust-tid.h:38:21: error: static declaration of 'gettid' follows non-static declaration
[   54s]    38 | static inline pid_t gettid(void)
Comment 1 Martin Liška 2019-09-24 08:08:12 UTC
I've just made SR:
https://build.opensuse.org/request/show/732859
Comment 2 Swamp Workflow Management 2019-09-24 11:30:07 UTC
This is an autogenerated message for OBS integration:
This bug (1149704) was mentioned in
https://build.opensuse.org/request/show/732911 Factory / lttng-ust
Comment 3 Martin Liška 2019-09-24 11:37:08 UTC
Fixed in development project.